/**
*  © FileCalx Limited 2022 - All Rights Reserved
*  Unauthorized copying, modification or distribution of this file via any medium is strictly prohibited.
*  Proprietary and confidential
*/

@import 'StartupLoader.css';
@import 'Webix/webix.min.css';
@import 'Webix/docmanager.css';
/* Copied into CSS folder from 'CSSForPaidVersion' */
@import "https://cdn.jsdelivr.net/npm/@mdi/font@5.9.55/css/materialdesignicons.min.css";
@import 'CalculationProject.css';

html,
body {
  /* height: 100% !important; */
}

body {
  /* overflow: hidden !important; */
}

#AppContainer {
  height: 100% !important;
}

#MainContainer {
  height: 100% !important;
  width: 100%;
  /* display: none; */
  opacity: 0.2;
}

.DisplayNone {
  display: none;
}

#TopNavBar {
  height: 100%;
}

#LeftNavBar {
  background-color: #52565a;
}

.ContainerColumn {
  padding: 0;
  margin: 0;
}

/* .webix_view.webix_popup {
    border: 1px solid #ddd;
    z-index: 5000;
} */

#TopPanel {
  background-color: yellow;
  height: 50px;
  text-align: center;
  vertical-align: center;
  box-sizing: border-box;
}

#BottomPanel {
  background-color: orange;
  height: 50px;
  text-align: center;
  /* display: none; */
}

.navBtn {
  margin: 10px;

}

.nopaddingIncChildren * {
  padding: 0px;
}

.shareFolderWindowToggleShare {
  float: right;
  line-height: 28px;
}

.shareFolderWindowEditIcon {
  float: right;
  padding-right: 10px;
  line-height: 28px;
}

#LeftPanelBtns {
  /* background-color: chocolate; */
  -ms-flex: 0 0 75px;
  flex: 0 0 75px;
  height: 100%;
  background-color: #52565a;
  /* display: none;  */
}

#LeftPanel {
  background-color: chocolate;
  -ms-flex: 0 0 350px;
  flex: 0 0 350px;
  /* display: none;  */
}

#RightPanel {
  background-color: aqua;
  -ms-flex: 0 0 75px;
  flex: 0 0 75px;
  /* display: none; */
}

#AppTopPanel {
  /* background-color: yellow; */
  height: 50px;
  text-align: center;
  width: 100%;
  /* display: none; */
}

#AppBottomPanel {
  background-color: orange;
  height: 50px;
  text-align: center;
  /* display: none; */
}

#AppLeftPanel {
  /* background-color: brown; */
  -ms-flex: 0 0 100px;
  flex: 0 0 100px;
  height: 100%;
  display: none;
}

#AppRightPanel {
  background-color: aqua;
  -ms-flex: 0 0 100px;
  flex: 0 0 100px;
  /* display: none;   */
}

#AppRow {
  /* background-color: rgb(204, 192, 255); */
}

#MiddleRow {
  /* background-color: pink; */
}

.webix_tree_item.webix_selected {
  box-shadow: inset 2px 0 #f2a43a !important;
}

.webix_tree_item.webix_selected span {
  color: black !important;
}

/* .webix_view.webix_toolbar.webix_dark.webix_layout_toolbar{
  background: black !important;
  border: 0 !important;
  width: 100% !important;
} */

.topToolbar {
  background: black !important;
  border: 0 !important;
  /* width: 100% !important; */
}

.webix_toolbar.webix_dark .webix_menu-x .webix_list_item:not(:hover) {
  color: white !important;
  background-color: black !important;
}

/* .webix_el_label .webix_el_box{
  color: white !important;
} */

.webix_toolbar.webix_dark {
  background: #242424;
  border-color: #242424;
}

.webix_sidebar.webix_dark .webix_tree_item.webix_sidebar_selected {
  background-color: darkgrey !important;
}

.webix_sidebar.webix_dark {
  border-color: lightgrey;
  background-color: white;
  border-right: black 1px solid !important;
  margin-top: 0 !important;
  box-sizing: border-box;
}

.webix_dtable .webix_ss_header td.webix_last_row {
  border-bottom: 1px solid #f2a43a !important;
}

.webix_el_richselect .webix_inp_static:focus,
.webix_el_datepicker .webix_inp_static:focus,
.webix_el_colorpicker .webix_inp_static:focus,
.webix_el_dbldatepicker .webix_inp_static:focus {
  border: 1px solid #f2a43a !important;
}

.webix_el_textarea textarea:focus {
  border: 1px solid #f2a43a !important;
}

.webix_el_select select:focus {
  border: 1px solid #f2a43a !important;
}

.webix_fmanager_filelist .webix_dtable_colrow.webix_selected .webix_fmanager_back:hover {
  color: #f2a43a !important;
}

.webix_dtable .webix_select_mark>div.webix_row_select {
  box-shadow: inset 2px 0 #f2a43a !important;
}

.webix_fmanager_filelist .webix_dtable_colrow.webix_selected .webix_fmanager_back {
  color: #f2a43a !important;
}

.webix_fmanager_filelist .webix_dtable_colrow.webix_selected .webix_fmanager_back_icon {
  color: #f2a43a !important;
}

.webix_fmanager_filelist .webix_dtable_colrow .webix_fmanager_back_icon {
  color: #f2a43a !important;
}

.webix_fmanager_filelist .webix_dtable_colrow .webix_fmanager_back:hover {
  color: #f2a43a !important;
}

.webix_fmanager_filelist .webix_dtable_colrow .webix_fmanager_back {
  color: #f2a43a !important;
}

.webix_popup_button.confirm {
  color: black !important;
  background: #f2a43a !important;
}

.webix_popup_button {
  color: black !important;
}

.webix_fmanager_filelist .webix_cell .webix_fmanager_star .dmi-star {
  color: #f2a43a !important;
}

.webix_primary .webix_button {
  background: #f2a43a;
  color: black;
}

.webix_primary .webix_button:hover {
  background-color: #c78830;
}

.webix_alert .webix_popup_title,
.webix_confirm .webix_popup_title,
.webix_prompt .webix_popup_title,
.webix_alert .webix_popup_text,
.webix_confirm .webix_popup_text,
.webix_prompt .webix_popup_text {
  box-shadow: inset 0 4px #f2a43a;
}

.webix_sidebar .webix_sidebar_icon,
.webix_sidebar .webix_sidebar_dir_icon {
  color: black;
}

.webix_view.webix_layout_line {
  margin: 0 !important;
  /* width: 100% !important; */
}

.fileToolbar {
  background-color: #242424 !important;
}

.fileOrderHeader {
  background-color: #242424 !important;
  color: white !important;
}

.webix_secondary .webix_button {
  color: #242424;
}

.webix_secondary .webix_button .webix_icon,
.webix_secondary .webix_button .webix_img_btn_text,
.webix_secondary .webix_button .webix_icon_btn {
  color: #242424;
}

.webix_layout_accordion.webix_dark .webix_accordionitem_header {
  background-color: #242424 !important;
  color: white !important;
}

.fileToolbar .webix_button,
.fileToolbar .webix_icon,
.fileToolbar .webix_icon_btn {
  background-color: #242424 !important;
  color: white;
}

.webix_layout_accordion.webix_dark .webix_accordionitem_header.collapsed {
  background-color: #242424 !important;
  color: white !important;
}

.webix_layout_accordion.webix_dark .webix_accordionitem.horizontal.collapsed .webix_accordionitem_header:hover,
.webix_layout_accordion.webix_dark .webix_accordionitem.collapsed .webix_accordionitem_header:hover,
.webix_layout_accordion.webix_dark .webix_accordionitem.horizontal.collapsed .webix_accordionitem_header:focus,
.webix_layout_accordion.webix_dark .webix_accordionitem.collapsed .webix_accordionitem_header:focus {
  background-color: #242424;
}

.webix_layout_accordion.webix_dark .webix_accordionitem_header:hover,
.webix_layout_accordion.webix_dark .webix_accordionitem_header:focus {
  background-color: #242424;
}

/* .tabViewAndPageArea {
  width: 100% !important;
} */

.webix_sidebar.webix_dark .webix_tree_item.webix_selected,
.webix_sidebar.webix_dark .webix_tree_item.webix_sidebar_selected {
  color: black !important;
  background-color: #f2a43a5c !important;
}

.webix_sidebar.webix_dark .webix_tree_item {
  color: black;
}

.webix_list_item.DH

/* TOP_MENU_CUSTOM_HIGHLIGHT */
  {
  background-color: black !important;
  color: white !important;
  padding-top: 12px;
  height: 100% !important;
}

.webix_list_item.DH:hover

/* TOP_MENU_CUSTOM_HIGHLIGHT */
  {
  background-color: #111111 !important;
  padding-top: 12px;
  height: 100% !important;
  /* box-shadow: 0 2px #f2a43a; */
}

.webix_sidebar.webix_dark .webix_tree_item:hover:not(.webix_selected) {
  background-color: lightgrey !important;
}

.webix_list_item.webix_selected {
  box-shadow: inset 2px 0 #f2a43a;
}

.webix_view .webix_dt_editor input,
.webix_view .webix_dt_editor select {
  border-color: #f2a43a;
}

.webix_el_search input:focus,
.webix_el_text input:focus,
.webix_el_combo input:focus,
.webix_el_colorpicker input:focus,
.webix_el_datepicker input:focus {
  border: 1px solid #f2a43a;
}

/* .webix_all_tabs .webix_item_tab.webix_selected {
    box-shadow: inset 0 -2px #f2a43a !important;
    padding-bottom: 0;
} */

/* .webix_item_tab.webix_selected {
  color: #f2a43a !important;
} */

.app-logo {
  background-image: url('../Images/FileCalxNeg.png');
  background-size: 65%;
  background-repeat: no-repeat;
  background-position: center;
  margin-top: 0 !important;
  background-color: black;
  /* margin-left: 50px !important;  */
  /* margin-right: 50px !important ; */
}

.app-logo-background {
  background-color: black !important;
  width: 200px !important;
  /* height: 40px !important; */
}

.topMenu {
  /* margin-top:10px !important; */
  /* width: 500px !important; */
  min-width: 350px;
}

.webix_scroll_cont {
  height: 100%;
}

.topToolbar .webix_button.webix_img_btn:hover {
  background-color: #111111 !important;
}

.topTabbar {
  background-color: black !important;
  border: none;
  width: 100% !important;
}

.fileTabView {
  width: 100% !important;
}

.tab {
  border-radius: 15px 5px 0 0 !important;
  background-color: darkgrey !important;
  border-left: 3px black solid !important;
  color: #494949 !important;
}

.webix_selected.tab {
  background-color: lightgray !important;
  box-shadow: none !important;
  color: black !important;
}

.webix_badge {
  background-color: #f2a43a;
}

.logoutBtn {
  /* margin-left: -50px !important;  */
  /* height: 40px !important; */
  float: right;
}

.appVersion .webix_el_box {
  color: #f2a43a !important;
  font-weight: normal !important;
  margin-right: 10px;
}

.projectNameLabel {
  padding-left: 50px !important;
  font-weight: bolder;
  text-decoration: underline;
  width: 100% !important;
}

.webix_fmanager_context-menu-hotkey {
  color: lightgray !important;
}